import { Row } from './row';
import { Column } from './column';
export declare class DataSet {
    private _data;
    private _columns;
    private _rows;
    private _selectedRow;
    private _willSelect;
    private _newRow;
    constructor(data?: any[], columnSettings?: Column[]);
    get data(): any[];
    set data(val: any[]);
    get columns(): Column[];
    set columns(columns: Column[]);
    get rows(): Row[];
    set rows(val: Row[]);
    get selectedRow(): Row;
    set selectedRow(row: Row);
    get willSelect(): string;
    set willSelect(val: string);
    get newRow(): Row;
    set newRow(val: Row);
    getFirstRow(): Row;
    getLastRow(): Row;
    getColumnById(id: string): Column;
    findRowByData(data: any): Row;
    deselectAll(): void;
    selectRow(row: Row): Row;
    multipleSelectRow(row: Row): Row;
    selectPreviousRow(): Row;
    selectFirstRow(): Row;
    selectLastRow(): Row;
    willSelectFirstRow(): void;
    willSelectLastRow(): void;
    select(): Row;
    createNewRow(): void;
    /**
     * Create rows based on current data prepared in data source
     */
    private createRows;
}
